version.h File Reference
`#include "ruby/version.h"`
`#include "revision.h"`

Go to the source code of this file.

## Macros

#define | RUBY_VERSION "1.9.3"
#define | RUBY_PATCHLEVEL 194
#define | RUBY_RELEASE_DATE "2012-04-20"
#define | RUBY_RELEASE_YEAR 2012
#define | RUBY_RELEASE_MONTH 4
#define | RUBY_RELEASE_DAY 20
#define | RUBY_PATCHLEVEL_STR "p"STRINGIZE(RUBY_PATCHLEVEL)
#define | RUBY_REVISION_STR " revision "STRINGIZE(RUBY_REVISION)
#define | RUBY_DESCRIPTION
#define | RUBY_COPYRIGHT

## Macro Definition Documentation

#define RUBY_COPYRIGHT

Value:
"ruby - Copyright (C) " \
STRINGIZE(RUBY_BIRTH_YEAR)"-" \
STRINGIZE(RUBY_RELEASE_YEAR)" " \
RUBY_AUTHOR

Definition at line 48 of file version.h.

#define RUBY_DESCRIPTION

Value:
"ruby "RUBY_VERSION \
RUBY_PATCHLEVEL_STR \
" ("RUBY_RELEASE_DATE \
RUBY_REVISION_STR") " \
"["RUBY_PLATFORM"]"

Definition at line 42 of file version.h.

#define RUBY_PATCHLEVEL 194

Definition at line 2 of file version.h.

Referenced by Init_version().

#define RUBY_PATCHLEVEL_STR "p"STRINGIZE(RUBY_PATCHLEVEL)

Definition at line 22 of file version.h.

#define RUBY_RELEASE_DATE "2012-04-20"

Definition at line 4 of file version.h.

#define RUBY_RELEASE_DAY 20

Definition at line 7 of file version.h.

#define RUBY_RELEASE_MONTH 4

Definition at line 6 of file version.h.

#define RUBY_RELEASE_YEAR 2012

Definition at line 5 of file version.h.

#define RUBY_REVISION_STR " revision "STRINGIZE(RUBY_REVISION)

Definition at line 36 of file version.h.

#define RUBY_VERSION "1.9.3"

Definition at line 1 of file version.h.